package com.hzya.frame.sys.module.entity;

import cn.dev33.satoken.stp.StpUtil;
import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hzya.frame.sys.viewFiled.entity.ViewFiled;
import com.hzya.frame.uuid.UUIDUtils;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @description: 菜单表
 * @tableName:
 * @entityName:  Module
 * @author: 	 llg
 * @history:	 1.0
 */
public class ModuleVo {

	/** 主键ID */
	private String id;
	/** 路由地址 */
	private String path;
	/** 名称 */
	private String name;
	/** 一级Layout 二级 ParntView 三级component */
	private String component;
	/** 隐藏 */
	private boolean hidden;
	/** redirevt */
	private String redirect;
	/** 标题 */
	private String label;
	/** alwaysShow */
	private boolean alwaysShow;
	/** alwaysShow */
	private JSONObject meta;
	//下级菜单
	private List<ModuleVo> children;


	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getComponent() {
		return component;
	}

	public void setComponent(String component) {
		this.component = component;
	}

	public boolean isHidden() {
		return hidden;
	}

	public void setHidden(boolean hidden) {
		this.hidden = hidden;
	}

	public String getRedirect() {
		return redirect;
	}

	public void setRedirect(String redirect) {
		this.redirect = redirect;
	}

	public boolean isAlwaysShow() {
		return alwaysShow;
	}

	public void setAlwaysShow(boolean alwaysShow) {
		this.alwaysShow = alwaysShow;
	}

	public JSONObject getMeta() {
		return meta;
	}

	public void setMeta(JSONObject meta) {
		this.meta = meta;
	}

	public List<ModuleVo> getChildren() {
		return children;
	}

	public void setChildren(List<ModuleVo> children) {
		this.children = children;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}
}
